# Uses of Class
org.eclipse.swt.widgets.Event

Packages that use Event
Package
Description
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.e4.ui.bindings.keys
org.eclipse.e4.ui.css.swt.properties
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.help.ui.internal
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.bindings.keys
Provides support for bindings between commands and keys.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.swt.events
SWT typed listener support.
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.internal
org.eclipse.ui.keys
Provides support for integrating keys into the Eclipse workbench.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of Event in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions with parameters of type Event
Modifier and Type
Method
Description
`boolean`
IToggleBreakpointsTargetExtension2.`canToggleBreakpointsWithEvent(IWorkbenchPart part, ISelection selection, Event event)`
Returns whether breakpoints can be toggled on the given selection with the given `Event`.
`void`
AbstractLaunchHistoryAction.`runWithEvent(IAction action, Event event)`
`void`
AddMemoryRenderingActionDelegate.`runWithEvent(IAction action, Event event)`
`void`
DebugCommandAction.`runWithEvent(Event event)`
`void`
LaunchAction.`runWithEvent(Event event)`
If the user has control-clicked the launch history item, open the launch configuration dialog on the launch configuration, rather than running it.
`void`
OpenLaunchDialogAction.`runWithEvent(IAction action, Event event)`
`void`
RelaunchLastAction.`runWithEvent(IAction action, Event event)`
`void`
RulerRunToLineActionDelegate.`runWithEvent(IAction action, Event event)`
`void`
RulerToggleBreakpointActionDelegate.`runWithEvent(IAction action, Event event)`
`void`
RunToLineAction.`runWithEvent(Event event)`
`void`
RunToLineActionDelegate.`runWithEvent(IAction action, Event event)`
`void`
ToggleBreakpointAction.`runWithEvent(Event event)`
`void`
IToggleBreakpointsTargetExtension2.`toggleBreakpointsWithEvent(IWorkbenchPart part, ISelection selection, Event event)`
Creates or removes existing breakpoints based on any modifiers in the given `Event`.

## Uses of Event in org.eclipse.e4.ui.bindings.keys

Methods in org.eclipse.e4.ui.bindings.keys with parameters of type Event
Modifier and Type
Method
Description
`final boolean`
KeyBindingDispatcher.`executeCommand(ParameterizedCommand parameterizedCommand, Event trigger)`
Performs the actual execution of the command by looking up the current handler from the command manager.
`static List<KeyStroke>`
KeyBindingDispatcher.`generatePossibleKeyStrokes(Event event)`
Generates any key strokes that are near matches to the given event.
`final void`
KeyBindingDispatcher.KeyDownFilter.`handleEvent(Event event)`
Handles an incoming traverse or key down event.
`boolean`
KeyBindingDispatcher.`press(List<KeyStroke> potentialKeyStrokes, Event event)`

## Uses of Event in org.eclipse.e4.ui.css.swt.properties

Methods in org.eclipse.e4.ui.css.swt.properties with parameters of type Event
Modifier and Type
Method
Description
`void`
GradientBackgroundListener.`handleEvent(Event event)`

## Uses of Event in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type Event
Modifier and Type
Method
Description
`protected abstract boolean`
AbstractContributionItem.`canExecuteItem(Event event)`
`protected boolean`
DirectContributionItem.`canExecuteItem(Event trigger)`
`protected boolean`
HandledContributionItem.`canExecuteItem(Event trigger)`
`protected boolean`
AbstractContributionItem.`dropdownEvent(Event event)`
`protected abstract void`
AbstractContributionItem.`executeItem(Event event)`
`protected void`
DirectContributionItem.`executeItem(Event trigger)`
`protected void`
HandledContributionItem.`executeItem(Event trigger)`
`void`
MenuManagerRendererFilter.`handleEvent(Event event)`
`void`
MenuManagerServiceFilter.`handleEvent(Event event)`
`protected abstract void`
AbstractContributionItem.`handleWidgetDispose(Event event)`
`protected void`
DirectContributionItem.`handleWidgetDispose(Event event)`
`protected void`
HandledContributionItem.`handleWidgetDispose(Event event)`
`protected void`
AbstractContributionItem.`handleWidgetSelection(Event event)`

## Uses of Event in org.eclipse.help.ui.internal

Methods in org.eclipse.help.ui.internal with parameters of type Event
Modifier and Type
Method
Description
`void`
HyperlinkHandler.`handleEvent(Event event)`
Sent when an event that the receiver has registered for occurs.

## Uses of Event in org.eclipse.jface.action

Methods in org.eclipse.jface.action with parameters of type Event
Modifier and Type
Method
Description
`void`
ExternalActionManager.CommandCallback.`preExecute(IAction action, Event event)`
`void`
ExternalActionManager.IExecuteCallback.`preExecute(IAction action, Event e)`
Fires an execution event before an action is run.
`void`
Action.`runWithEvent(Event event)`
The default implementation of this `IAction` method ignores the event argument, and simply calls `run()`.
`void`
IAction.`runWithEvent(Event event)`
Runs this action, passing the triggering SWT event.

## Uses of Event in org.eclipse.jface.bindings.keys

Methods in org.eclipse.jface.bindings.keys with parameters of type Event
Modifier and Type
Method
Description
`static final int`
SWTKeySupport.`convertEventToModifiedAccelerator(Event event)`
Converts the given event into an SWT accelerator value -- considering the modified character with the shift modifier.
`static final int`
SWTKeySupport.`convertEventToUnmodifiedAccelerator(Event event)`
Converts the given event into an SWT accelerator value -- considering the unmodified character with all modifier keys.
`static final int`
SWTKeySupport.`convertEventToUnshiftedModifiedAccelerator(Event event)`
Converts the given event into an SWT accelerator value -- considering the modified character without the shift modifier.

## Uses of Event in org.eclipse.jface.text.hyperlink

Methods in org.eclipse.jface.text.hyperlink with parameters of type Event
Modifier and Type
Method
Description
`void`
HyperlinkManager.`handleEvent(Event event)`

## Uses of Event in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return Event
Modifier and Type
Method
Description
`Event`
VerticalRulerEvent.`getEvent()`
Methods in org.eclipse.jface.text.source with parameters of type Event
Modifier and Type
Method
Description
`void`
AnnotationBarHoverManager.Closer.`handleEvent(Event event)`
Deprecated.
Constructors in org.eclipse.jface.text.source with parameters of type Event
Modifier
Constructor
Description
``
`VerticalRulerEvent(Annotation annotation, Event event)`
Creates a new event.

## Uses of Event in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type Event
Modifier and Type
Method
Description
`protected void`
ColumnViewerToolTipSupport.`afterHideToolTip(Event event)`
`void`
CellNavigationStrategy.`collapse(ColumnViewer viewer, ViewerCell cellToCollapse, Event event)`
`protected Composite`
ColumnViewerToolTipSupport.`createToolTipContentArea(Event event, Composite parent)`
Instead of overwriting this method subclasses should overwrite `ColumnViewerToolTipSupport.createViewerToolTipContentArea(Event, ViewerCell, Composite)`
`protected Composite`
ColumnViewerToolTipSupport.`createViewerToolTipContentArea(Event event, ViewerCell cell, Composite parent)`
Creates the content area of the tool tip giving access to the cell the tip is shown for.
`protected void`
OwnerDrawLabelProvider.`erase(Event event, Object element)`
Handle the erase event.
`protected void`
StyledCellLabelProvider.`erase(Event event, Object element)`
Handle the erase event.
`void`
CellNavigationStrategy.`expand(ColumnViewer viewer, ViewerCell cellToExpand, Event event)`
`ViewerCell`
CellNavigationStrategy.`findSelectedCell(ColumnViewer viewer, ViewerCell currentSelectedCell, Event event)`
`protected Object`
ColumnViewerToolTipSupport.`getToolTipArea(Event event)`
`boolean`
CellNavigationStrategy.`isCollapseEvent(ColumnViewer viewer, ViewerCell cellToCollapse, Event event)`
`boolean`
CellNavigationStrategy.`isExpandEvent(ColumnViewer viewer, ViewerCell cellToExpand, Event event)`
`boolean`
CellNavigationStrategy.`isNavigationEvent(ColumnViewer viewer, Event event)`
is the given event an event which moves the selection to another cell
`protected abstract void`
OwnerDrawLabelProvider.`measure(Event event, Object element)`
Handle the measure event.
`protected void`
StyledCellLabelProvider.`measure(Event event, Object element)`
`protected abstract void`
OwnerDrawLabelProvider.`paint(Event event, Object element)`
Handle the paint event.
`protected void`
StyledCellLabelProvider.`paint(Event event, Object element)`
`boolean`
CellNavigationStrategy.`shouldCancelEvent(ColumnViewer viewer, Event event)`
This method is consulted to decide whether an event has to be canceled or not.
`protected boolean`
ColumnViewerToolTipSupport.`shouldCreateToolTip(Event event)`

## Uses of Event in org.eclipse.jface.window

Methods in org.eclipse.jface.window with parameters of type Event
Modifier and Type
Method
Description
`protected void`
ToolTip.`afterHideToolTip(Event event)`
This method is called after a tooltip is hidden.
`protected Composite`
DefaultToolTip.`createToolTipContentArea(Event event, Composite parent)`
Creates the content are of the the tooltip.
`protected abstract Composite`
ToolTip.`createToolTipContentArea(Event event, Composite parent)`
Creates the content area of the the tooltip.
`protected Color`
DefaultToolTip.`getBackgroundColor(Event event)`
The background `Color` used by `CLabel` in the default implementation
`protected Image`
DefaultToolTip.`getBackgroundImage(Event event)`
The background `Image` used by `CLabel` in the default implementation
`protected Font`
DefaultToolTip.`getFont(Event event)`
The `Font` used by `CLabel` in the default implementation
`protected Color`
DefaultToolTip.`getForegroundColor(Event event)`
The foreground `Color` used by `CLabel` in the default implementation
`protected Image`
DefaultToolTip.`getImage(Event event)`
The `Image` displayed in the `CLabel` in the default implementation implementation
`Point`
ToolTip.`getLocation(Point tipSize, Event event)`
Get the display relative location where the tooltip is displayed.
`protected int`
DefaultToolTip.`getStyle(Event event)`
The style used to create the `CLabel` in the default implementation
`protected String`
DefaultToolTip.`getText(Event event)`
The text displayed in the `CLabel` in the default implementation
`protected Object`
ToolTip.`getToolTipArea(Event event)`
This method is called to check for which area the tooltip is created/hidden for.
`protected boolean`
ToolTip.`shouldCreateToolTip(Event event)`
Should the tooltip displayed because of the given event.

## Uses of Event in org.eclipse.swt.events

Constructors in org.eclipse.swt.events with parameters of type Event
Modifier
Constructor
Description
``
`ArmEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`ControlEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`DisposeEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`DragDetectEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`ExpandEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`FocusEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`GestureEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`HelpEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`KeyEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`MenuDetectEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`MenuEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`ModifyEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`MouseEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`PaintEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`SegmentEvent(Event e)`
``
`SelectionEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`ShellEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`TouchEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`TraverseEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`TreeEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.
``
`TypedEvent(Event e)`
Constructs a new instance of this class based on the information in the argument.
``
`VerifyEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.

## Uses of Event in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type Event
Modifier and Type
Method
Description
`boolean`
Control.`dragDetect(Event event)`
Detects a drag and drop gesture.
`void`
Listener.`handleEvent(Event event)`
Sent when an event that the receiver has registered for occurs.
`void`
TypedListener.`handleEvent(Event e)`
Handles the given event.
`void`
Widget.`notifyListeners(int eventType, Event event)`
Notifies all of the receiver's listeners for events of the given type that one such event has occurred by invoking their `handleEvent()` method.
`boolean`
Display.`post(Event event)`
Generate a low level system event.
`boolean`
Control.`traverse(int traversal, Event event)`
Performs a platform traversal action corresponding to a `KeyDown` event.

## Uses of Event in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type Event
Modifier and Type
Method
Description
`void`
IActionDelegate2.`runWithEvent(IAction action, Event event)`
Performs this action, passing the SWT event which triggered it.
`void`
IActionDelegateWithEvent.`runWithEvent(IAction action, Event event)`
Deprecated.
Use org.eclipse.ui.IActionDelegate2 instead.

## Uses of Event in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type Event
Modifier and Type
Method
Description
`void`
ActionDelegate.`runWithEvent(IAction action, Event event)`
The `ActionDelegate` implementation of this `IActionDelegate2` method redirects to the `run` method.
`void`
BaseSelectionListenerAction.`runWithEvent(Event event)`
`void`
ContributedAction.`runWithEvent(Event event)`
`void`
OpenPerspectiveAction.`runWithEvent(Event event)`
`void`
RetargetAction.`runWithEvent(Event event)`
Invoked when an action occurs.

## Uses of Event in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type Event
Modifier and Type
Method
Description
`void`
IHyperlink2.`linkActivated(Event event)`
Notification that this link has been activated.

## Uses of Event in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs with parameters of type Event
Modifier and Type
Method
Description
`void`
WizardNewFileCreationPage.`handleEvent(Event event)`
The `WizardNewFileCreationPage` implementation of this `Listener` method handles all events and enablements for controls on this page.
`void`
WizardNewFolderMainPage.`handleEvent(Event ev)`
The `WizardNewFolderCreationPage` implementation of this `Listener` method handles all events and enablements for controls on this page.
`void`
WizardResourceImportPage.`handleEvent(Event event)`
The `WizardResourceImportPage` implementation of this `Listener` method handles all events and enablements for controls on this page.

## Uses of Event in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets with parameters of type Event
Modifier and Type
Method
Description
`protected void`
AbstractHyperlink.`handleActivate(Event e)`
Called when hyperlink has been activated.
`protected void`
ImageHyperlink.`handleActivate(Event e)`
`protected void`
AbstractHyperlink.`handleEnter(Event e)`
Called when hyperlink is entered.
`protected void`
ImageHyperlink.`handleEnter(Event e)`
`protected void`
AbstractHyperlink.`handleExit(Event e)`
Called when hyperlink is exited.
`protected void`
ImageHyperlink.`handleExit(Event e)`

## Uses of Event in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers with parameters of type Event
Modifier and Type
Method
Description
`ExecutionEvent`
IHandlerService.`createExecutionEvent(Command command, Event event)`
Creates an execution event based on an SWT event.
`ExecutionEvent`
IHandlerService.`createExecutionEvent(ParameterizedCommand command, Event event)`
Creates a parameterized execution event based on an SWT event and a parameterized command.
`Object`
IHandlerService.`executeCommand(String commandId, Event event)`
Executes the command with the given identifier and no parameters.
`Object`
IHandlerService.`executeCommand(ParameterizedCommand command, Event event)`
Executes the given parameterized command.
`Object`
IHandlerService.`executeCommandInContext(ParameterizedCommand command, Event event, IEvaluationContext context)`
Executes the given parameterized command in the provided context.

## Uses of Event in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type Event
Modifier and Type
Method
Description
`void`
PluginAction.`runWithEvent(Event event)`
`void`
WWinPluginAction.`runWithEvent(Event event)`

## Uses of Event in org.eclipse.ui.keys

Methods in org.eclipse.ui.keys with parameters of type Event
Modifier and Type
Method
Description
`static int`
SWTKeySupport.`convertEventToModifiedAccelerator(Event event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Converts the given event into an SWT accelerator value -- considering the modified character with the shift modifier.
`static int`
SWTKeySupport.`convertEventToUnmodifiedAccelerator(Event event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Converts the given event into an SWT accelerator value -- considering the unmodified character with all modifier keys.
`static int`
SWTKeySupport.`convertEventToUnshiftedModifiedAccelerator(Event event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Converts the given event into an SWT accelerator value -- considering the modified character without the shift modifier.

## Uses of Event in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type Event
Modifier and Type
Method
Description
`void`
AbstractRulerActionDelegate.`runWithEvent(IAction action, Event event)`
`void`
MoveLinesAction.`runWithEvent(Event event)`
`void`
TextNavigationAction.`runWithEvent(Event event)`